open All Channels
seplocked Linux
blankseplocked incursion 1.1.0 not running at all
 
This thread is older than 90 days and has been locked due to inactivity.


 
Author Topic

EFTPOS
Caldari
Posted - 2011.01.19 02:41:00 - [1]
 

i get a error of "

"Failed to open shader cache file for reading"
in the logserver and wine says that the program has encountered an error it then hangs and will not run any1 else experiencing it or know a solution?

EFTPOS
Caldari
Posted - 2011.01.20 10:54:00 - [2]
 

can any one give me any help at all??

Br41n
Amarr
Ministry of War
Posted - 2011.01.20 14:15:00 - [3]
 

Post your pc specs, distro and wine version if you want some help.
The information you have given so far is not nearly enough to even make an educated guess.

R3n3gad3 Actual
Posted - 2011.01.20 17:42:00 - [4]
 

i just posted a "similar" issue in the other "character creation doesnt work" thread. the only solution i have found has been to boot into windows, create my character, then boot back into linux

my specs are

Alienware M11X
4 gigs ram
latest drivers for NVIDIA and latest kernel/wine

until the character creation update, i have had zero issues running eve in wine, other than very sparse crashes-nothing enough to even complain about

EFTPOS
Caldari
Posted - 2011.01.21 10:34:00 - [5]
 

Ubuntu 10.10
WINE 1.2.2
NVIDIA graphics driver version 173

ive never had any issues till incursion 1.1 was released now it will not run at all i get the splash then the program encounters an error and dies using the log server it says "Failed to open shader cache file for reading"

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.21 13:31:00 - [6]
 

Originally by: EFTPOS
Ubuntu 10.10
WINE 1.2.2
NVIDIA graphics driver version 173

ive never had any issues till incursion 1.1 was released now it will not run at all i get the splash then the program encounters an error and dies using the log server it says "Failed to open shader cache file for reading"


Uh 173? What kind of video card are you using????

See this thread just in case:
Shader Model Support

Br41n
Amarr
Ministry of War
Posted - 2011.01.21 13:40:00 - [7]
 

also try wine 1.3.11 and see if that works. I never use the stable wine since it lacks a lot of fixes and additions.

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.21 14:09:00 - [8]
 

Edited by: Sevarus James on 21/01/2011 14:11:30

Again...173? That's for the GeForce 5 series, and unless I'm really losing it, CCP has disco'd that for support. See my last post for the link.

Relevant info from that link:
Quote:
o what does that mean?

Simply put it means that to run EVE Online you'll have to have Nvidia GeForce series 6 or higher cards. Ati Radeon X1300 (Radeon R520 chips) or higher or Intel GMA X3000 or higher or Intel G965 or higher.


Kargyraa
Posted - 2011.01.21 20:14:00 - [9]
 

Originally by: EFTPOS
Ubuntu 10.10
WINE 1.2.2
NVIDIA graphics driver version 173

ive never had any issues till incursion 1.1 was released now it will not run at all i get the splash then the program encounters an error and dies using the log server it says "Failed to open shader cache file for reading"


Assuming your meaning the few year old 173.x.x nvidia drivers. Those are outdated. You should update to using the newest 260.x.x drivers. I know some distros are still using the 196.x.x drivers since they were deemed a little more stable in various situations but the new Carbon engine seems to require the 260.x.x drivers and I had to update to them as well to get everything to work.

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.22 12:28:00 - [10]
 

Originally by: Kargyraa
Originally by: EFTPOS
Ubuntu 10.10
WINE 1.2.2
NVIDIA graphics driver version 173

ive never had any issues till incursion 1.1 was released now it will not run at all i get the splash then the program encounters an error and dies using the log server it says "Failed to open shader cache file for reading"


Assuming your meaning the few year old 173.x.x nvidia drivers. Those are outdated. You should update to using the newest 260.x.x drivers. I know some distros are still using the 196.x.x drivers since they were deemed a little more stable in various situations but the new Carbon engine seems to require the 260.x.x drivers and I had to update to them as well to get everything to work.


Don't confuse him or others. This is from the NVForums site:

Legacy releases for GeForce 5 series GPUs
Current official release: 173.14.28 (x86 / x86_64)

Read that. It states specifically that for Geforce FIVE cards that is the LEGACY driver. The newer drivers will NOT WORK with geforce 5 or lower cards. If on the FIVE series, you are probably about outta luck.

EFTPOS
Caldari
Posted - 2011.01.23 11:17:00 - [11]
 

updated drivers to 260.19.36 and still no fix and cant figure out how to update wine without doing a full reinstall is there a way to update??

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.23 11:34:00 - [12]
 

Originally by: EFTPOS
updated drivers to 260.19.36 and still no fix and cant figure out how to update wine without doing a full reinstall is there a way to update??


And still you don't tell us what kind of video CARD you are using.

EFTPOS
Caldari
Posted - 2011.01.23 12:20:00 - [13]
 

im using an nvidia 8600 gt

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.23 12:49:00 - [14]
 

Okay. With ubuntu, you'll need to add the wine ppa to get the "unstable"/"dev" versions.

Oh, and just remember, that although wine DOES a full install, your .wine directory in your home folder will not be touched, so your settings and such will remain. Of course if something is messed in there causing the problems, then upgrading might not fix it. -glass half empty on that thought.

If you need help with ppa's, check with the ubuntu forums. There are also links listed there to the proper ppa to get the newest versions of wine.

Jonna Red
Posted - 2011.01.23 14:07:00 - [15]
 

Originally by: EFTPOS
im using an nvidia 8600 gt


Update wine http://www.winehq.org/download/deb
and try the 260 drivers from the nvidia homepage

EFTPOS
Caldari
Posted - 2011.01.24 15:11:00 - [16]
 

just installed latest wine v 1.3.11
now running nvidia graphics version 260

still not working symptom has changed now splash screen hangs with 100% cpu use to exefile.exe.

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.25 11:18:00 - [17]
 

Did you delete/rename the .wine folder in your home folder? Or did you leave it intact?

The surest way to end up with the same problems is to leave that folder sitting and just install a new version of wine...which uses your old settings from .wine. Rename .wine to .wine2 and rerun the winecfg command to create a new CLEAN .wine folder and settings. Reinstall EVE normally (ensuring to copy "arial.ttf" to the windows/fonts folder in the new version and see if this fixes the problem.

If NOT you at least have the .wine2 folder backed up if there are any other apps.

EFTPOS
Caldari
Posted - 2011.01.27 12:48:00 - [18]
 

ok tried a completely fresh .wine folder still locking up at the loading screen (splash)

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.01.28 00:16:00 - [19]
 

Originally by: EFTPOS
ok tried a completely fresh .wine folder still locking up at the loading screen (splash)


The trouble with trying to troubleshoot with someone via the forums is the spotty nature of info that gets posted. -sigh. (no offense eft, its just the nature of the beast.)

Can you run other wine games successfully? Or native opengl games?

Also, have you used EVE's logserver to grab any info?

Based on what I see of your system specs, eve should NOT be crapping out like it is.

Another thing to check...check the nvidia-settings tool under the "Antialiasing settings"
and make sure that antialiasing is set to "use application settings". AA and EVE via wine is a big 'nopers' right now.

EFTPOS
Caldari
Posted - 2011.01.29 03:11:00 - [20]
 

to answer your questions:

Q: Can you run other wine games successfully?
A: Need For Speed Most wanted works under wine 9the only other windows based game i have installed)

Q: Or native opengl games?
A: dont have any of those :(

Q: Also, have you used EVE's logserver to grab any info?
A: Yes much info
here is one capture here is one capture

Q:Based on what I see of your system specs, eve should NOT be crapping out like it is.
A: it don't if i boot into windows and run the exact same copy of the client but windows is buggy with BSOD ect so don't want to use it if i can avoid it

Q: Another thing to check...check the nvidia-settings tool under the "Antialiasing settings"
and make sure that antialiasing is set to "use application settings". AA and EVE via wine is a big 'nopers' right now.
A: Settings are set as per above

Darkcoro
Caldari
Squirrel Defamation League
Posted - 2011.02.11 09:13:00 - [21]
 

Under "OpenGL Settings" in NVIDIA X Server Settings see if Sync to VBlank is enabled. For some stupid reason Eve is not starting for me with that enabled at the moment, with the same symptoms you described. With that off, Eve will start, but I personally run into a second problem at that point, but this isn't my thread I don't wanna hijack it haha.

But yeah, try that, turn off Sync to VBlank under OpenGL Settings and let us know how that goes.

EFTPOS
Caldari
Posted - 2011.02.11 12:50:00 - [22]
 

tried it still didn't fix it lol

EFTPOS
Caldari
Posted - 2011.02.27 04:43:00 - [23]
 

stil no eve :(
even running wine 1.3.14

Katrina Bekers
Gallente
Fighters Squadron
Posted - 2011.02.28 09:56:00 - [24]
 

Originally by: EFTPOS
"Failed to open shader cache file for reading"

Still the same error?

It doesn't seem a graphic/driver problem. Rather a filesystem/permission one.

I'd check which files the program wants to access, if they're there where it expects them to be, and which permissions are set for such files.

man strace Wink

Sevarus James
Minmatar
Meridian Dynamics
Posted - 2011.02.28 19:13:00 - [25]
 

Oh man, you didnt' install wine as ROOT did you?????

Solbright
Advanced Security And Asset Protection
Posted - 2011.05.20 16:02:00 - [26]
 

A bit late to the table but another possibility is setting Wine's Windoze version to Vista or later.

Basically leave Wine set to WinXP for reliable function is the rule of thumb.



 

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only